<!-- Les 5 -->
<component-section>
  <div slot="title">Architectural patterns en tactics</div>
  <component-intendedlearningoutcomes>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt het verband uit tussen het Hofmeister-model, qas'en en tactics.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt
      <strong>architectural pattern</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt het <strong>broker</strong>
      architectural pattern uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt het <strong>broker</strong>
      architectural pattern uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt het <strong>microservices</strong>
      architectural pattern uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt het verband tussen brokers en microservices uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt
      <strong>architectural tactic</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt het verband tussen architectural tactics en architectural patterns uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-concepten"]'
      >legt
      <strong>enterprise architecture pattern</strong>
      uit (<strong>Domain Model</strong>, <strong>Separated Interface</strong>, <strong>Service Stub</strong>,
      <strong>DTO</strong>, <strong>Gateway</strong>, <strong>Plugin</strong>, <strong>Remote Facade</strong>,
      <strong>Transaction Script</strong>, <strong>Table Module</strong>, <strong>Service Layer</strong>).
    </component-intendedlearningoutcome>
  </component-intendedlearningoutcomes>
  <component-section>
    <div slot="title">Bestuderen</div>
    <p class="bron">
      <cite data-id="6867189/KRJVJXEU" data-label="chapter" data-locator="13.2">
        Software Architecture in Practice</cite
      >
    </p>
    <p class="bron">
      <cite data-id="6867189/KRJVJXEU" data-label="chapter" data-locator="4-13">
        Software Architecture in Practice</cite
      >
    </p>
    <p class="bron">
      <abbr title="Avgeriou, P., Zdun, U. Architectural Patterns Revisited – A Pattern  Language">
        <a href="bron/material/Avgeriou_Zdun_ArchPatternsRevisited.pdf"
          >Architectural Patterns Revisited – A Pattern Language</a
        >
      </abbr>
    </p>
    <p class="bron">
      <abbr
        title="Hofmeister, C., Kruchten, P., Nord, R. L., Obbink, H., Ran, A., & America, P. (2007). A general model of software architecture design derived from five industrial approaches. Journal of Systems and Software, 80(1), 106-126.">
        <a href="bron/material/Hofmeister_al_GeneralModelOfArchitecture.pdf"
          >A general model of software architecture design - pp. 106-126</a
        >
      </abbr>
    </p>
  </component-section>
  <component-section>
    <div slot="title">Oefening 1</div>
    <component-exercise>
      <p><strong>Architectual Patterns:</strong></p>
      <p>
        Bestudeer één patroon uit elke onderstaande categorie en indentificeer alle relevante informatie.
        <em>Context, Problem, Forces, Solution, Consequences</em>
      </p>
      <p>👨‍🏫 Bestudeer eventueel ook de <a href="SKA/#sec_2.5.5">Verdieping</a>!</p>
      <strong>De Patterns:</strong>
      <ol>
        <li>Map Reduce, Microservices with Domain-driven design (+++)</li>
        <li>Pipe-and-Filter, Shared-Data, Multi-Tier (++)</li>
        <li>Publish-Subscribe, Model View Controller (+)</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">Oefening 2</div>
    <component-exercise>
      <p><strong>Architectual Tactics:</strong></p>
      <ol>
        <li>Werk in een groep van 3 a 5 studenten.</li>
        <li>
          Bestudeer tactics voor <strong>Availability, Performance, Modifiability</strong> en
          <strong>Security</strong> uit Software Architecture in Practice.
        </li>
        <li>Lees (indien nodig) HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></li>
        <li>Selecteer de tactics die van toepassing kunnen zijn op het Trendanalyse Dashboard.</li>
        <li>Maak een korte (5 minuten) Presentatie van bovenstaande.</li>
      </ol>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">👨‍🏫 Presentatie</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW5_B.pdf">Lesweek 5</a>
      </li>
    </ul>
  </component-section>
  <component-section extra>
    <div slot="title">Verdieping</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW5_Patterns.pdf">Architectual Patterns Verdieping</a>
      </li>
    </ul>
  </component-section>
</component-section>
